Regular updates

Do not post support requests, bug reports or feature requests. Discuss phpBB here. Non-phpBB related discussion goes in General Discussion!
Anti-Spam Guide
Hervé
Registered User
Posts: 467
Joined: Tue Jun 04, 2019 7:51 am
Location: Belgium
Name: Rudy

Regular updates

Post by Hervé »

Hi,
I see that some phpBB based board still use an old version, for instance https://www.recifal-france.fr still uses 3.0.13 dating 2015 !
What are the disadvantages or risks of not updating ?
Last edited by Mick on Sat Jun 15, 2024 7:18 am, edited 1 time in total.
Reason: Solved.
User avatar
Mannix_
Registered User
Posts: 1950
Joined: Sun Oct 25, 2015 2:56 pm
Name: Matt

Re: Regular updates

Post by Mannix_ »

If there is a undiscovered vulnerability in that version it can be very devastating. Someone could take over your board etc.
Did I helped You? Consider a donation.
New version of phpBB has been released? My styles aren't validated for it yet? Check my page for the latest downloads!
User avatar
thecoalman
Community Team Member
Community Team Member
Posts: 6002
Joined: Wed Dec 22, 2004 3:52 am
Location: Pennsylvania, U.S.A.

Re: Regular updates

Post by thecoalman »

You also have to use older php versions(and other server applications) that also have vulnerabilities.
“Results! Why, man, I have gotten a lot of results! I have found several thousand things that won’t work.”

Attributed - Thomas Edison
User avatar
[Dimetrodon]
Registered User
Posts: 442
Joined: Tue Aug 30, 2022 3:29 am
Location: Paleozoic Era

Re: Regular updates

Post by [Dimetrodon] »

Hervé wrote: Mon Jun 10, 2024 3:06 pm What are the disadvantages or risks of not updating ?
Hi. Mostly old server configurations and php versions. If the host pulls support for the old version, which most are bound to do eventually, it will break the board.

But assuming the host doesn't do that, I wouldn't worry about a site using an older phpBB version. Plenty of older sites work fine with older versions.
Avatar by someone named AdmiralRA on Reddit. (No, I don't have a Reddit account)
When seeking support, please consider filling out the Support Request Template. It makes it easier for anyone trying to help.
Hervé
Registered User
Posts: 467
Joined: Tue Jun 04, 2019 7:51 am
Location: Belgium
Name: Rudy

Re: Regular updates

Post by Hervé »

In the present case the host is https://monarobase.net/, PHP 5.6 to 8.3 at choice.
My host accepts only 8.0 to 8.3 and I'm obliged to upgrade from time to time.
User avatar
Mick
Support Team Member
Support Team Member
Posts: 26702
Joined: Fri Aug 29, 2008 9:49 am

Re: Regular updates

Post by Mick »

Your host probably won’t run older versions of PHP for security reasons although PHP 8.0 is EOL and 8.1 is security updates only.
  • "The more connected we get the more alone we become" - Kyle Broflovski©
  • "The good news is hell is just the product of a morbid human imagination.
    The bad news is, whatever humans can imagine, they can usually create.
    " - Harmony Cobel©
🇬🇧
Hervé
Registered User
Posts: 467
Joined: Tue Jun 04, 2019 7:51 am
Location: Belgium
Name: Rudy

Re: Regular updates

Post by Hervé »

Right, I guess I will be obliged to update my host to 8.3 soon, do you think I can do it without phpBB problem ?
User avatar
[Dimetrodon]
Registered User
Posts: 442
Joined: Tue Aug 30, 2022 3:29 am
Location: Paleozoic Era

Re: Regular updates

Post by [Dimetrodon] »

Hervé wrote: Wed Jun 12, 2024 1:39 pm Right, I guess I will be obliged to update my host to 8.3 soon, do you think I can do it without phpBB problem ?
May I ask what phpBB version you have? I do know phpBB 3.3.12 can work with 8.3 as long as the database you are using is also compatible.
/phpBB3/docs/Install.html in a standard phpBB 3.3.12 package wrote:phpBB 3.3.x has a few requirements which must be met before you are able to install and use it.

A webserver or web hosting account running on any major Operating System with support for PHP
A SQL database system, one of:
MySQL 4.1.3 or above (MySQLi required)
MariaDB 5.1 or above
PostgreSQL 8.3+
SQLite 3.6.15+
MS SQL Server 2000 or above (via ODBC or the native adapter)
Oracle
PHP 7.2.0+ up to and including PHP 8.3 with support for the database you intend to use.
The following PHP modules are required:
json
mbstring
XML support
getimagesize() function must be enabled.
Presence of the following modules within PHP will provide access to additional features, but they are not required:
zlib Compression support
Remote FTP support
GD Support
If your server or hosting account does not meet the requirements above then you will be unable to install phpBB 3.3.x.
Avatar by someone named AdmiralRA on Reddit. (No, I don't have a Reddit account)
When seeking support, please consider filling out the Support Request Template. It makes it easier for anyone trying to help.
User avatar
Mick
Support Team Member
Support Team Member
Posts: 26702
Joined: Fri Aug 29, 2008 9:49 am

Re: Regular updates

Post by Mick »

I’ve been using PHP 8.3.x successfully with 3.3.10 and above for a long time.
  • "The more connected we get the more alone we become" - Kyle Broflovski©
  • "The good news is hell is just the product of a morbid human imagination.
    The bad news is, whatever humans can imagine, they can usually create.
    " - Harmony Cobel©
🇬🇧
User avatar
bonelifer
Community Team Member
Community Team Member
Posts: 3609
Joined: Wed Oct 27, 2004 11:35 pm
Name: William

Re: Regular updates

Post by bonelifer »

Have phpBB running on php 8.3.7.
William Jacoby - Community Team
Knowledge Base | phpBB Board Rules | Search Customisation Database
Please don't contact me via PM or email for phpBB support .

phpBB Modders is looking for developers! If you have phpBB experience and want to join us, click here!
Hervé
Registered User
Posts: 467
Joined: Tue Jun 04, 2019 7:51 am
Location: Belgium
Name: Rudy

Re: Regular updates

Post by Hervé »

[Dimetrodon] wrote: Wed Jun 12, 2024 5:05 pm
Hervé wrote: Wed Jun 12, 2024 1:39 pmI guess I will be obliged to update my host to 8.3 soon, do you think I can do it without phpBB problem ?
May I ask what phpBB version you have? I do know phpBB 3.3.12 can work with 8.3 as long as the database you are using is also compatible.
DB : MySQL(i) 10.6.14-MariaDB-1:10.6.14+maria~ubu2204
PHP : 8.0.30
phpBB : 3.3.12
User avatar
P_I
Community Team Member
Community Team Member
Posts: 2403
Joined: Tue Mar 01, 2011 8:35 pm
Location: Western Canada 🇨🇦

Re: Regular updates

Post by P_I »

Hervé wrote: Fri Jun 14, 2024 7:52 am PHP : 8.0.30
That's no longer on the PHP: Supported Versions list. It went EOL 26 Nov 2023 (6 months ago).

My boards are running quite nicely on PHP 8.2.x and my testing versions on using PHP 8.3.x as I await a more definitive statement from phpBB beyond what was in the 3.3.12 announcement,
Marc wrote: Fri May 31, 2024 7:36 pm as well as better compatibility with parsing of posts with PHP 8.3.
Normal people… believe that if it ain’t broke, don’t fix it. Engineers believe that if it ain’t broke, it doesn’t have enough features yet. – Scott Adams
User avatar
[Dimetrodon]
Registered User
Posts: 442
Joined: Tue Aug 30, 2022 3:29 am
Location: Paleozoic Era

Re: Regular updates

Post by [Dimetrodon] »

Hervé wrote: Fri Jun 14, 2024 7:52 amDB : MySQL(i) 10.6.14-MariaDB-1:10.6.14+maria~ubu2204
PHP : 8.0.30
phpBB : 3.3.12
You can update the php version to 8.3. You should be fine.
Avatar by someone named AdmiralRA on Reddit. (No, I don't have a Reddit account)
When seeking support, please consider filling out the Support Request Template. It makes it easier for anyone trying to help.
Hervé
Registered User
Posts: 467
Joined: Tue Jun 04, 2019 7:51 am
Location: Belgium
Name: Rudy

Re: Regular updates

Post by Hervé »

Thanks, done : PHP 8.3.8
User avatar
ssl
Registered User
Posts: 1842
Joined: Sat Feb 08, 2020 2:15 pm
Location: Le Lude, Pays de la Loire - France
Name: Fred Rimbert

Re: Regular updates

Post by ssl »

Hervé wrote: Fri Jun 14, 2024 7:52 am DB : MySQL(i) 10.6.14-MariaDB-1:10.6.14+maria~ubu2204
PHP : 8.0.30
phpBB : 3.3.12
Your forum is in version 3.3.11: https://www.leforumrecifal.com/styles/p ... /style.cfg

Code: Select all

# General Information about this style
name = prosilver
copyright = © phpBB Limited, 2007
style_version = 3.3.11
phpbb_version = 3.3.11
Sorry for my English ... I do my best!

phpBB: 3.3.12 | PHP: 8.3.7
[Kill spam on phpBB] - [Some French translation of extensions]
"Mistress, Mistress someone is bothering me in pm"

Return to “phpBB Discussion”